Bug 64948 - M should be 1,000,000; not 1,048,576
M should be 1,000,000; not 1,048,576
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
7.3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
http://tldp.org/HOWTO/Large-Disk-HOWT...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-14 19:31 EDT by Need Real Name
Modified: 2007-04-18 12:42 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-01 17:22:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-05-14 19:31:03 EDT
Description of Problem:
* Disk Druid reports disk partition sizes too small by 5%


Version-Release number of selected component (if applicable):
* Whatever comes with Red Hat Linux 7.3


How Reproducible:
* Run Disk Druid


Steps to Reproduce:
1. Start installing Red Hat Linux 7.3
2. Manually partition with Disk Druid


Actual Results:
* My 452,415,488 byte disk is listed as 431M
* M = 1,048,576 bytes


Expected Results:
* My 452,415,488 disk should be listed as 452M
* M = 1,000,000 bytes


Additional Information:
* I believe this is true for all versions of Disk Druid
Comment 1 Alexei Podtelezhnikov 2002-05-20 16:58:26 EDT
 I disagree. For historical reason, people use 10 fingers while computers use 
only ones and zeroes. Thus traditionally, M in computers is different from 
what people are used to. 1 M = 2^20 
 
* I believe this is true for every operating system and application out there, 
from Disk Druid to Microsoft Word. Welcome to this crazy world of computers.
Comment 2 Need Real Name 2002-05-20 19:20:48 EDT
Alexei, please read the URL I included with my report:
* http://tldp.org/HOWTO/Large-Disk-HOWTO-3.html

Disk drive manufacturers follow the standard SI norm (1 MB = 1,000,000).
Microsoft uses 1 MB = 1,048,576.
Which value do you think Linux should use?
Comment 3 Alexei Podtelezhnikov 2002-05-20 20:04:22 EDT
I think Linux should follow tradition. I'm sorry that I mistook you for a 
newbie. Anyhow, this is a heated-up discussions on the subject past December:
http://marc.theaimsgroup.com/?w=2&r=1&s=mib+kib&q=t

Following SI helps diskdrive manufacturers to report higher numbers. Don't you 
think it explains it? There is no other reason to use decimals for drive 
capacity.

It is really not that hard to follow the tradition. The *roots* BIT and BYTE 
can redefine the meaning of the *prefixes* MEGA and KILO. It's not that hard to 
remember. Otherwise, next thing you know BYTE is equal to 10 BITS, just to 
follow the prefixes' logic forgeting the roots.

Note You need to log in before you can comment on or make changes to this bug.